schedule_exam:
    path:     /
    defaults: { _controller: "AppBundle:ScheduleExam:index" }   
schedule_exam_process:
    path:     /process
    defaults: { _controller: "AppBundle:ScheduleExam:schedule" }     
schedule_exam_getbatches_ajax:
    path:     /get_batch
    defaults: { _controller: "AppBundle:ScheduleExam:getBatches" }   
schedule_exam_getexams_ajax:
    path:     /get_exam
    defaults: { _controller: "AppBundle:ScheduleExam:getExams" }   
schedule_exam_schedule_ajax:
    path:     /schedule/{batch}/{exam}
    defaults: { _controller: "AppBundle:ScheduleExam:schedule_operation" }   
    methods: [POST]
schedule_exam_view:
    path:     /view
    defaults: { _controller: "AppBundle:ViewScheduledExam:view" } 
schedule_exam_view_ajax:
    path:     /view/{batch_exam_master}
    defaults: { _controller: "AppBundle:ViewScheduledExam:details" } 
    methods: [POST]
schedule_exam_modification:
    path:     /modify/{schedule}
    defaults: { _controller: "AppBundle:ScheduleExamModification:schedule" }  
schedule_exam_modify_schedule_ajax:
    path:     /modify/{schedule}/ajax
    defaults: { _controller: "AppBundle:ScheduleExamModification:modifySchedule" }
schedule_exam_adding_grace_mark:
    path:     /add-grace-mark
    defaults: { _controller: "AppBundle:ScheduleAddGracePeriod:addGracePeriod" }
    methods: [POST]